Debian Bug report logs - #328921
help wrapped incorrectly on utf-8 terminals

version graph

Package: mutt; Maintainer for mutt is Antonio Radici <antonio@dyne.org>; Source for mutt is src:mutt.

Reported by: Stepan Golosunov <stepan@golosunov.pp.ru>

Date: Sun, 18 Sep 2005 08:48:08 UTC

Severity: normal

Tags: fixed-upstream, l10n

Found in version mutt/1.5.9-2

Fixed in version mutt/1.5.14+cvs20070315-1

Done: Christoph Berg <myon@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.mutt.org/1503

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Bug#328921; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Stepan Golosunov <stepan@golosunov.pp.ru>:
New Bug report received and forwarded. Copy sent to Adeodato Simó <asp16@alu.ua.es>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stepan Golosunov <stepan@golosunov.pp.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mutt: problems with utf-8 terminals
Date: Sun, 18 Sep 2005 13:43:38 +0500
[Message part 1 (text/plain, inline)]
Package: mutt
Version: 1.5.9-2
Severity: normal
Tags: l10n

In ru_RU.UTF-8 locale strings are sometimes incorrectly wrapped (see
utf8-1.png vs. koi8r-1.png) and menu line is truncated (utf8-2.png vs.
koi8r-2.png). I guess these problems are caused by incorrect string lengths
counting.


-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)

Versions of packages mutt depends on:
ii  exim4                       4.50-8       metapackage to ease exim MTA (v4) 
ii  exim4-daemon-light [mail-tr 4.50-8       lightweight exim MTA (v4) daemon
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libdb4.3                    4.3.27-2     Berkeley v4.3 Database Libraries [
ii  libgnutls11                 1.0.16-13.1  GNU TLS library - runtime library
ii  libidn11                    0.5.13-1.0   GNU libidn library, implementation
ii  libncursesw5                5.4-4        Shared libraries for terminal hand
ii  libsasl2                    2.1.19-1.5   Authentication abstraction library

-- no debconf information
[utf8-1.png (image/png, attachment)]
[utf8-2.png (image/png, attachment)]
[koi8r-1.png (image/png, attachment)]
[koi8r-2.png (image/png, attachment)]

Noted your statement that Bug has been forwarded to http://bugs.mutt.org/1503. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from myon@debian.org to control@bugs.debian.org. (Tue, 13 Mar 2007 20:03:12 GMT) Full text and rfc822 format available.

Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stepan Golosunov <stepan@golosunov.pp.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 328921-close@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 328921-close@bugs.debian.org
Subject: Bug#328921: fixed in mutt 1.5.14+cvs20070315-1
Date: Thu, 15 Mar 2007 17:17:05 +0000
Source: mutt
Source-Version: 1.5.14+cvs20070315-1

We believe that the bug you reported is fixed in the latest version of
mutt, which is due to be installed in the Debian FTP archive:

mutt_1.5.14+cvs20070315-1.diff.gz
  to pool/main/m/mutt/mutt_1.5.14+cvs20070315-1.diff.gz
mutt_1.5.14+cvs20070315-1.dsc
  to pool/main/m/mutt/mutt_1.5.14+cvs20070315-1.dsc
mutt_1.5.14+cvs20070315-1_amd64.deb
  to pool/main/m/mutt/mutt_1.5.14+cvs20070315-1_amd64.deb
mutt_1.5.14+cvs20070315.orig.tar.gz
  to pool/main/m/mutt/mutt_1.5.14+cvs20070315.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328921@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Berg <myon@debian.org> (supplier of updated mutt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 Mar 2007 14:11:31 +0100
Source: mutt
Binary: mutt
Architecture: source amd64
Version: 1.5.14+cvs20070315-1
Distribution: experimental
Urgency: low
Maintainer: Adeodato Simó <dato@net.com.org.es>
Changed-By: Christoph Berg <myon@debian.org>
Description: 
 mutt       - text-based mailreader supporting MIME, GPG, PGP and threading
Closes: 152444 229801 290701 298121 328921 332803 355912 366413 366413 384076 394256 402027 413144 413715
Changes: 
 mutt (1.5.14+cvs20070315-1) experimental; urgency=low
 .
   * New upstream snapshot (now from mercurial).
     + send_charset supports charset-hook'd charsets (Closes: #152444).
     + Regex for color patterns can be > 256 chars long (Closes: #229801).
     + Reduces massive strcat use (Closes: #290701).
     + Uses realpath of folders in the cache (Closes: #298121).
     + Wraps help correctly on utf-8 terminals (Closes: #328921).
     + Fixes typos in muttrc.5 (Closes: #366413).
     + Requery IMAP capabilities after login (Closes: #384076).
     + Various mutt.1 updates (Closes: #332803, #355912, #366413, #394256).
     + The key binding documentation is now auto-generated, thereby documenting
       some missing functions (Closes: #413144).
     + Previously fixed: IMAP hangs (Closes: #413715).
   * Split up Muttrc into separate files in /etc/Muttrc.d/.
   * charset.rc: iconv-hooks for some commonly misused charsets
     (Closes: #402027).
   * Add compatibility alias file_charset for attach_charset (got renamed when
     the assumed-charset patch went upstream).
   * Patches:
     + compressed-folders: synced with upstream.
     + compressed-folders.ranty-fix: removed, went upstream.
   * Packaging:
     + Use quilt.make.
     + Move patchlist sorting into patchlist.sh.
Files: 
 c9d99980b1e2bbf7c62ed149ff74f9ae 838 mail standard mutt_1.5.14+cvs20070315-1.dsc
 48426ff66c2d80fbd0e32aab191aa2c5 3485722 mail standard mutt_1.5.14+cvs20070315.orig.tar.gz
 5a443cc5252d845427f10aa7a7eba021 64981 mail standard mutt_1.5.14+cvs20070315-1.diff.gz
 f6ed11387f5b73289b06d91b1ec951d2 1914314 mail standard mutt_1.5.14+cvs20070315-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF+Xthxa93SlhRC1oRArutAJ4p/P8v+EtITF0UGJK/gXMta4ch4gCeKIMS
7vUlpOdDzuJwj0fgVeP+BWU=
=OJ8Q
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@net.com.org.es>:
Bug#328921; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Stepan Golosunov <stepan@golosunov.pp.ru>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@net.com.org.es>. Full text and rfc822 format available.

Message #21 received at 328921@bugs.debian.org (full text, mbox):

From: Stepan Golosunov <stepan@golosunov.pp.ru>
To: 328921@bugs.debian.org
Subject: Re: Bug#328921 closed by Christoph Berg <myon@debian.org>
Date: Sat, 17 Mar 2007 22:31:47 +0400
package mutt
clone 328921 -1
reopen -1
found -1 1.5.14+cvs20070315-1
retitle -1 menu line truncated in utf-8 terminals
notforwarded -1
tags -1 - fixed-upstream
thanks

15.03.2007 в 17:27:10 +0000 Debian Bug Tracking System написал(а):
>      + Wraps help correctly on utf-8 terminals (Closes: #328921).

But this did not fix part of the bug which tells about menu line
corruption (screenshots utf8-2.png and koi8r-2.png in the original
report).



Bug 328921 cloned as bug 415277. Request was from Stepan Golosunov <stepan@golosunov.pp.ru> to control@bugs.debian.org. (Sat, 17 Mar 2007 19:09:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Aug 2007 07:27:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:29:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.